Bug 2495 - there should be a package search page (packages.maemo.org)
: there should be a package search page (packages.maemo.org)
Status: RESOLVED FIXED
Product: maemo.org Website
Repositories
: unspecified
: All All
: Medium enhancement (vote)
: ---
Assigned To: Marcell Lengyel
: repositories@maemo.bugs
: http://packages.debian.org
:
:
:
  Show dependency tree
 
Reported: 2007-12-05 22:30 UTC by Jussi Kukkonen
Modified: 2009-10-02 15:08 UTC (History)
6 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Jussi Kukkonen (reporter) 2007-12-05 22:30:43 UTC
There are now quite a few different maemo/OS versions and each of those can
have several official repositories. Because of this it is getting difficult to
find out if a package or program has already been ported to (some repository of
some version of) maemo. 

A service similar to http://packages.debian.org and http://packages.ubuntu.com
(with ability to search for packages by package name or included file name)
would be very handy.

The release comparison tables (such as
http://tablets-dev.nokia.com/3.2/content_comparison.html) are somewhat useful,
but they have some shortcomings:
 * not easily discoverable 
 * not searchable by included filename
 * extras and extras-devel are not included
Comment 1 Ryan Abel maemo.org 2007-12-06 11:46:47 UTC
Not really a solution to the site, but usable anyway:
http://www.gronmayer.com/it/
Comment 2 Quim Gil nokia 2007-12-07 14:00:09 UTC
Yes, you have a point.
Comment 3 Jussi Kukkonen (reporter) 2008-02-01 15:01:15 UTC
FYI, just in case you guys are in FOSDEM: libsearch-xapian-perl developer (and
packages.debian.org/packages.ubuntu.com maintainer) Frank Lichtenheld has a
talk about packages.debian.org in FOSDEM 2008.

 http://blog.djpig.de/2008/02/01#packages-updates
Comment 4 Quim Gil nokia 2008-07-19 15:10:44 UTC
Listed at http://wiki.maemo.org/100Days/Sprint3#.28Re.29New.28ed.29 - to be
reviewed in the Sprint3 meeting next week.
Comment 5 Ferenc Szekely maemo.org 2008-07-22 22:48:03 UTC
I will star implementing something during next sprint. I would like to do it as
a Midgard component. More info will follow on the maemo-community list and here
as well.
Comment 6 Jeremiah C. Foster 2009-03-05 16:31:08 UTC
I will try to look at what debian uses for this, but I suspect it is Xapian. If
it isn't, Xapian might be good anyway. You could even integrate Xapian into
Midgard if you wanted.
Comment 7 Jeremiah C. Foster 2009-03-05 18:18:24 UTC
I installed Xapian (libxapian13) on test.m.o. It has lots of bindings for other
languages, like php, perl, ruby, python. So it seems like a good candidate for
packages.m.o
Comment 8 Mikko Vartiainen 2009-05-03 02:56:21 UTC
any update on this? It's becoming major hassle to find out what we have in our
repositoriea and who is maintaining what.

I think that custom midgard components should be forgotten and use the same
software as ubuntu and debian are using http://packages.debian.org/about/

(I don't know any technical details how easy the software is to deploy)
Comment 9 Jeremiah C. Foster 2009-05-03 20:43:14 UTC
Actually yes. I expect to have a working prototype this week in fact. 

When I was doing work cleaning out the repositories, I built an interface to
the Packages file. I have sketched out a way to create a fairly
straight-forward database which we can query via perl, php, python, whatever.
It should not take long to build since I have built a lot of the API already
and can just mock up an interface. 

I will post more about the progress of this bug later this week.
Comment 10 Jeremiah C. Foster 2009-05-06 12:41:07 UTC
I have hacked up a quick and dirty prototype, please test and comment.

http://test.maemo.org/cgi-bin/search.cgi
Comment 11 Mikko Vartiainen 2009-05-06 14:01:03 UTC
Thanks Jeremiah,

First I would like to know if there is any good reason to not to use the same
software as packages.debian.org? 

The prototype looks almost usable already. Here's some comments

1. It doesn't show repository name. Search 'barrage' and you will see three
barrage packages, but it doesn't tell where they are
2. Search 'sdl' and you get nothing, search 'libsdl' and you get bunch of sdl
packages. 'sdl' should also match to all libsdl packages (and more).
3. Then it needs all other packages.debian.org features, like list of depencies
and downloadable sources etc. :)
Comment 12 Jeremiah C. Foster 2009-05-06 14:26:16 UTC
(In reply to comment #11)
> Thanks Jeremiah,
> 
> First I would like to know if there is any good reason to not to use the same
> software as packages.debian.org? 

No reason. I just thought it would take a lot longer if I did that. I would
like to bring it with the Community Council and the community in general since
I think it might be a time sink. Internal debian projects tend to be poorly
documented. :(

> 
> The prototype looks almost usable already. Here's some comments
> 
> 1. It doesn't show repository name. Search 'barrage' and you will see three
> barrage packages, but it doesn't tell where they are

Yes. I hope to address this.

> 2. Search 'sdl' and you get nothing, search 'libsdl' and you get bunch of sdl
> packages. 'sdl' should also match to all libsdl packages (and more).

I will add more of a regex search. Right now it is pretty literal. Also, it is
limited to just diablo free binary-armel so all maemo packages are not there.

> 3. Then it needs all other packages.debian.org features, like list of depencies
> and downloadable sources etc. :)

Yeah. Good point. :)
Comment 13 Alan Bruce maemo.org 2009-05-13 22:02:19 UTC
The package search must include *all* packages in all of the maemo
repositories. Even the stuff in "non-free".
Comment 14 Jeremiah C. Foster 2009-05-14 11:46:52 UTC
Yes, definitely. 

This has to be put on the back burner for a while - other priorities come
first. But we will develop a proper package search, that is a promise. :)
Comment 15 Ferenc Szekely maemo.org 2009-10-02 15:08:09 UTC
Has been implemented by Niels:
http://maemo.org/packages/

Marking it fixed.